Package ngs

# Interface ReferenceIterator

All Superinterfaces:
  `Reference`

public interface ReferenceIterator extends Reference
Iterates across a list of References

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `nextReference()`
  Advance to first Reference on initial invocation Advance to next Reference subsequently

  ### Methods inherited from interface ngs.Reference

  `getAlignment, getAlignmentCount, getAlignmentCount, getAlignments, getAlignmentSlice, getAlignmentSlice, getCanonicalName, getCommonName, getFilteredAlignmentSlice, getFilteredPileups, getFilteredPileupSlice, getIsCircular, getIsLocal, getLength, getPileups, getPileupSlice, getPileupSlice, getReferenceBases, getReferenceBases, getReferenceChunk, getReferenceChunk`

- ## Method Details

  - ### nextReference

    boolean nextReference() throws ErrorMsg
    Advance to first Reference on initial invocation Advance to next Reference subsequently
    Returns:
      false if no more References are available.
    Throws:
      `ErrorMsg` - if there is an error